var task_credibility = {
    "name": "Credibility Analysis",
    "instruction": [
        "In this task, you will be presented with a number of statements made on social media. Each time, you you need to decide whether the statement is <b>Credible</b> or <b>Not credible</b>.", // TO DO
    ],
    "validate": function(input) {
        var strip = function(text) {
            return text.toLowerCase().replace(/[\s.,\/#!$%\^&\*;:{}=\-_'"`~()]/g, "");
        }
        if (strip(input).length > 0)  return true;
        return false;
    },
    "question_number": 5,
    "time_limit": "20 minutes",
    "questions": [
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A 14 year old girl became pregnant after receiving a flu shot." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A 2021 study found astronaut Scott Kelly's heart shrank by 27\% over the course of roughly one year in space." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A bear died after consuming more than 70 pounds of cocaine that had been dumped in a forest during a botched drug smuggling attempt." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A Boeing B-17E bomber from World War II was found in the jungle with coffee still in thermoses." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A famous photograph of the Loch Ness Monster was actually just a whale penis." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A girl named Laura Buxton released a balloon that ended up in the hands of another girl named Laura Buxton who lived 140 miles away." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A man whose car bore personalized license plates reading 'NO PLATE' received notices for thousands of unpaid parking tickets." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A sheriff attributed a suspect's being shot 68 times to 'that's all the bullets we had.'" ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A study suggested that humans experience periods of accelerated aging around 34, 60, and 78 years old." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A Toronto restaurant renamed some of its burgers as office supplies so people could expense them." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "A viral video shows a pet scanner detecting a microchip from the COVID-19 vaccine in a person's arm." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "All of the castles depicted in the 1975 film \"Monty Python and the Holy Grail\" are actually just Scotland's Castle Doune, shot from numerous creative angles." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "An anti-seat belt law advocate was killed in automobile accident." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "An Oregon man was recently jailed for collecting rainwater on his own property." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "As the Super Bowl draws near, legions of prostitutes flock to the city where the big game is being held." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "California is planning to ban black cars in order to curb global warming." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Coca-Cola was originally green." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Disney added a content warning to Jim Henson's \"The Muppet Show\" on the Disney+ streaming platform." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Donald Trump said in 1998 that he would one day run as a Republican because they are the \"dumbest group of voters.\"" ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Facebook has announced it will be turning over user data to the FBI, CIA, and NSA." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Facebook soon plans to charge monthly subscription fees to users to keep their profiles private." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Greek citizens are self-inflicting HIV in order to collect government benefits." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "In March 2021, Utah passed a law banning pornography on mobile devices." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Jean Hilliard made a full recovery after she was found frozen in sub-zero temperatures." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "McDonald's workers in Denmark make \$22 an hour and have six weeks of paid vacation." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Only female senators showed up for work in Congress following Snowstorm Jonas." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Pepsi has test-marketed a Doritos-flavored version of Mountain Dew." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Pope Francis holds an advanced degree in chemistry." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Researchers at Stanford University have found a cure for Alzheimer's disease." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Several major brands of lipstick contain dangerous levels of cancer-causing lead which can be detected with a gold ring." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Some 45,000 Americans died within three days of receiving their COVID-19 vaccine." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "The CDC issued a warning to all Americans urging them not to get the flu shot this year." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "The consumption of poppy seeds used on bagels and muffins can produce positive results on drug screening tests." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "The Dalai Lama once said that if someone has a gun and is trying to kill you, it would be reasonable to shoot back with your own gun." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "The family of Anne Frank sought (and was denied) refugee status in the United States." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "The man who penned the first traffic laws never drove a car himself." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "There have been more deaths from COVID-19 vaccines than deaths from the actual virus." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Using cruise control on wet roads or during heavy rain can cause you to lose control of your vehicle." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "Watermelon with a mosaic-like pattern on the skin or fruit are infected by a virus that leaves the plant unsafe to eat." ,"buttons:#Credible#Not credible"]},
        {"question": ["Please indicate using the <b>buttons</b> whether this statement is credible or not", "You should avoid eating green potatoes because they are poisonous." ,"buttons:#Credible#Not credible"]}
    ]
}
