var task_information = {
    "name": "Information Finding",
    "instruction": [
        "In this task, you will find the <b>Middle Name</b> of a famous person by searching with provided information using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>.",
    ],
    "validate": function(input) {
        var strip = function(text) {
            return text.toLowerCase().replace(/[\s.,\/#!$%\^&\*;:{}=\-_'"`~()]/g, "");
        }
        if (strip(input).length > 0)  return true;
        return false;
    },
    "question_number": 5,
    "time_limit": "20 minutes",
    "questions": [
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brian Smith</b> (profession: <b>Ice Hockey</b>, active year: ~<b>1955</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Christopher Porter</b> (profession: <b>Football Goalkeeper</b>, active year: ~<b>2009</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Gary Smith</b> (profession: <b>English Footballer</b>, active year: ~<b>2011</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>John Palmer</b> (profession: <b>English Politician</b>, active year: ~<b>1868</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Michael Murphy</b> (profession: <b>Irish Politician</b>, active year: ~<b>1970</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Alberto Fontana</b> (profession: <b>Football Goalkeeper</b>, active year: ~<b>2011</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Charles Davis</b> (profession: <b>US Army</b>, active year: ~<b>1943</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>George Russell</b> (profession: <b>Irish Painter</b>, active year: ~<b>1918</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Johann Bach</b> (profession: <b>Composer</b>, active year: ~<b>1671</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Michael Murphy</b> (profession: <b>American Politician</b>, active year: ~<b>1901</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Johann Bach</b> (profession: <b>Composer</b>, active year: ~<b>1703</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Kevin Johnson</b> (profession: <b>American Football</b>, active year: ~<b>1995</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brian Smith</b> (profession: <b>American Actor and Comedian</b>, active year: ~<b>2004</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>John Palmer</b> (profession: <b>US Senator</b>, active year: ~<b>1894</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>William Wilson</b> (profession: <b>Alberta Politician</b>, active year: ~<b>1918</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brian Smith</b> (profession: <b>Academic Researcher, Strategic Management</b>, active year: ~<b>1989</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brian Smith</b> (profession: <b>American Football Linebacker</b>, active year: ~<b>1989</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brian Smith</b> (profession: <b>Ice Hockey</b>, active year: ~<b>1972</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Michael Murphy</b> (profession: <b>Folk Musician</b>, active year: ~<b>1975</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Christopher Davis</b> (profession: <b>American Major League Baseball</b>, active year: ~<b>2009</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Gary Smith</b> (profession: <b>English Footballer</b>, active year: ~<b>1995</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Michael Murphy</b> (profession: <b>Political Consultant</b>, active year: ~<b>2005</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Mark Johnson</b> (profession: <b>Americal Major League Baseball</b>, active year: ~<b>2008</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Richard Harris</b> (profession: <b>American Football</b>, active year: ~<b>1970</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Charles Davis</b> (profession: <b>American Football</b>, active year: ~<b>1987</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Johann Bach</b> (profession: <b>Composer</b>, active year: ~<b>1760</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Charles Davis</b> (profession: <b>American Football</b>, active year: ~<b>1976</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Charles Davis</b> (profession: <b>American Football</b>, active year: ~<b>2011</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Bradley Smith</b> (profession: <b>Australian Footballer</b>, active year: ~<b>1999</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Roger Taylor</b> (profession: <b>Drummer</b>, active year: ~<b>1968</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brandon Miller</b> (profession: <b>American Football</b>, active year: ~<b>2008</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>John Lucas</b> (profession: <b>Basketball Player</b>, active year: ~<b>1976</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Bradley Smith</b> (profession: <b>American Football</b>, active year: ~<b>2013</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Brian Smith</b> (profession: <b>Scholar in Cognitive Science</b>, active year: ~<b>1982</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Mark Smith</b> (profession: <b>American Author, Comic Books</b>, active year: ~<b>2009</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>William Wilson</b> (profession: <b>Pennsylvania Politician</b>, active year: ~<b>1914</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Christopher Evans</b> (profession: <b>Politician</b>, active year: ~<b>1993</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Charles Davis</b> (profession: <b>Basketball</b>, active year: ~<b>2014</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Charles Davis</b> (profession: <b>US Navy</b>, active year: ~<b>1830</b>)"]},
        {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>William Wilson</b> (profession: <b>Oregon Politician</b>, active year: ~<b>1845</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>George Russell</b> (profession: <b>New Zealand Politician</b>, active year: ~<b>1918</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Gary Smith</b> (profession: <b>English Footballer</b>, active year: ~<b>1975</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Jim Bedard</b> (profession: <b>Ice Hockey</b>, active year: ~<b>1976</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Michael Murphy</b> (profession: <b>Ice Hockey</b>, active year: ~<b>1971</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Franklin Roosevelt</b> (profession: <b>President</b>, active year: ~<b>1935</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Stuart Beavon</b> (profession: <b>Footballer</b>, active year: ~<b>2012</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Bradley Smith</b> (profession: <b>Australian Footballer</b>, active year: ~<b>2014</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>George Bush</b> (profession: <b>President</b>, active year: ~<b>2008</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>Joseph Kennedy</b> (profession: <b>Businessman, Politician</b>, active year: ~<b>1938</b>)"]},
        // {"question": ["Please find the <b>Middle Name</b> of this person using <a href=\"http://www.google.com\" target=\"_blank\">Google</a> or <a href=\"http://en.wikipedia.org/\" target=\"_blank\">Wikipedia</a>:", "<b>John Adams</b> (profession: <b>President</b>, active year: ~<b>1826</b>)"]}
    ]
}
